# Uses of Enum Class
org.bukkit.event.raid.RaidStopEvent.Reason

Packages that use RaidStopEvent.Reason
Package
Description
org.bukkit.event.raid
`Events` related to raids.

## Uses of RaidStopEvent.Reason in org.bukkit.event.raid

Methods in org.bukkit.event.raid that return RaidStopEvent.Reason
Modifier and Type
Method
Description
`@NotNull RaidStopEvent.Reason`
RaidStopEvent.`getReason()`
Returns the stop reason.
`static RaidStopEvent.Reason`
RaidStopEvent.Reason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RaidStopEvent.Reason[]`
RaidStopEvent.Reason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.raid with parameters of type RaidStopEvent.Reason
Modifier
Constructor
Description
``
`RaidStopEvent(@NotNull Raid raid, @NotNull World world, @NotNull RaidStopEvent.Reason reason)`